org.apache.http.cookie

## Interface CommonCookieAttributeHandler

All Superinterfaces:
  CookieAttributeHandler

All Known Implementing Classes:
  BasicCommentHandler, BasicDomainHandler, BasicExpiresHandler, BasicMaxAgeHandler, BasicPathHandler, BasicSecureHandler, BrowserCompatVersionAttributeHandler, LaxExpiresHandler, LaxMaxAgeHandler, NetscapeDomainHandler, PublicSuffixDomainFilter, RFC2109DomainHandler, RFC2109VersionHandler, RFC2965CommentUrlAttributeHandler, RFC2965DiscardAttributeHandler, RFC2965DomainAttributeHandler, RFC2965PortAttributeHandler, RFC2965VersionAttributeHandler

    public interface CommonCookieAttributeHandler
    extends CookieAttributeHandler

Extension of `CookieAttributeHandler` intended to handle one specific common attribute whose name is returned with `getAttributeName()` method.

Since:
  4.4

### Method Summary

Methods
`String` `getAttributeName()`

### Methods inherited from interface org.apache.http.cookie.CookieAttributeHandler

`match, parse, validate`

### Method Detail

#### getAttributeName

    String getAttributeName()